Bug 1257905 - [dbscripts] 'CertificationValidityCheckTimeInHours' missing in dbscripts / vdc_options
[dbscripts] 'CertificationValidityCheckTimeInHours' missing in dbscripts / vd...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.6.0
Unspecified Unspecified
medium Severity medium
: ovirt-3.6.0-rc
: 3.6.0
Assigned To: Moti Asayag
Jiri Belka
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-28 07:26 EDT by Jiri Belka
Modified: 2016-04-19 21:35 EDT (History)
7 users (show)

See Also:
Fixed In Version: 3.6.0-12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-19 21:35:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 45605 master MERGED core: Allow user to config CertificationValidityCheckTimeInHours Never
oVirt gerrit 45625 ovirt-engine-3.6 MERGED core: Allow user to config CertificationValidityCheckTimeInHours Never

  None (edit)
Description Jiri Belka 2015-08-28 07:26:56 EDT
Description of problem:

[root@jb-bz1 ~]# grep -IR 'CertificationValidityCheckTimeInHours' /usr/share/ovirt-engine/dbscripts
[root@jb-bz1 ~]

Thus I'm unable to change the check time occurrence in vdc_options table.

Version-Release number of selected component (if applicable):
rhevm-dbscripts-3.6.0-0.12.master.el6.noarch

How reproducible:
100%

Steps to Reproduce:
1. select * from vdc_options where option_name = 'CertificationValidityCheckTimeInHours';
2.
3.

Actual results:
not found

Expected results:
should be in vdc_options to make QA testing faster

Additional info:
Comment 1 Jiri Belka 2015-08-28 08:41:29 EDT
2015-08-28 13:56:04,212 DEBUG [org.ovirt.engine.core.dal.dbbroker.generic.DBConfigUtils] (ServerService Thread Pool -- 40) [] Didn't find the value of 'CertificationValidityCheckTimeInHours' in DB for version 'general' - using default: '24'
Comment 2 Jiri Belka 2015-11-13 07:55:14 EST
ok, rhevm-dbscripts-3.6.0.3-0.1.el6.noarch

[root@jb-bz1 bin]# engine-config -g CertificationValidityCheckTimeInHours
CertificationValidityCheckTimeInHours: 0.05 version: general
[root@jb-bz1 bin]# grep -R CertificationValidityCheckTimeInHours /usr/share/ovirt-engine/dbscripts/
/usr/share/ovirt-engine/dbscripts/upgrade/pre_upgrade/0000_config.sql:select fn_db_add_config_value('CertificationValidityCheckTimeInHours','24','general');

Note You need to log in before you can comment on or make changes to this bug.